Postgis Problem

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Postgis Problem

Levert Donovan
Hello,
I am using Postgis Database for on
Postgresql-server-7.4.6 on Debian,
I would like to convert the tutorial demo, example
popplace.shp to a sql file for postgis.
I have convert the file, to popplace.sql

The postgis database works fine, but, when I want
insert popplace.sql data, I have this error :
        ERROR:  couldnt parse objects in GEOMETRY


This insert request doesn't works
INSERT INTO "popplace"
("area","perimeter","popplace_","popplace_i","unique_key","name","name_e","name_f","unique_key__8","unique_key__9","reg_code","nts50","lat","long","sgc_code","capital","pop_range","the_geom")
VALUES
('0.000','0.000','2','1','AAKDE','Hopedale',NULL,NULL,NULL,NULL,'10','013N08','552800','601300','1010048','0','2','0101000000000000406B423F4100000020B2883341');

But, if I remove the last column "the_geom", it's
works fine
INSERT INTO "popplace"
("area","perimeter","popplace_","popplace_i","unique_key","name","name_e","name_f","unique_key__8","unique_key__9","reg_code","nts50","lat","long","sgc_code","capital","pop_range")
VALUES
('0.000','0.000','2','1','AAKDE','Hopedale',NULL,NULL,NULL,NULL,'10','013N08','552800','601300','1010048','0','2');
 


Do you know if the column "the_geom" is essential, or
do know how can I solve this error ?

Best Regards
Donovan LEVERT


       

       
               
___________________________________________________________________________
Appel audio GRATUIT partout dans le monde avec le nouveau Yahoo! Messenger
Téléchargez cette version sur http://fr.messenger.yahoo.com
_______________________________________________
postgis-users mailing list
[hidden email]
http://postgis.refractions.net/mailman/listinfo/postgis-users
Reply | Threaded
Open this post in threaded view
|

Re: Postgis Problem

Markus Schaber-7
Hi, Levert,

Levert Donovan wrote:

> The postgis database works fine, but, when I want
> insert popplace.sql data, I have this error :
> ERROR:  couldnt parse objects in GEOMETRY
>
> This insert request doesn't works
> '0101000000000000406B423F4100000020B2883341'

My PostGIS can parse this fine. Maybe your PostGIS version is to old,
you nead at least PostGIS 1.0 to parse this representatin.

Can you send us the output of "SELECT postigs_full_version()" and
"SELECT postgis_version()" ?

Markus
_______________________________________________
postgis-users mailing list
[hidden email]
http://postgis.refractions.net/mailman/listinfo/postgis-users
Reply | Threaded
Open this post in threaded view
|

Re: Postgis Problem

Markus Schaber-7
In reply to this post by Levert Donovan
Hi, Levert,

(Please keep this discussions on the list.)

Levert Donovan wrote:

> I launch psql name_database, but I have no result for
> the requests SELECT postgis_full_version()
> SELECT postgis_version()

What is the error message you get when you make those SELECTs?

Or do you simply get no output at all?

> The postgresql is : 7.4.7 version

This version is supported by PostGIS, as currently are all versions from
7.2.x up to 8.0.x, so I suspect that your PostGIS installation is either
outdated or broken.

Markus
_______________________________________________
postgis-users mailing list
[hidden email]
http://postgis.refractions.net/mailman/listinfo/postgis-users
Reply | Threaded
Open this post in threaded view
|

Re: Postgis Problem

Levert Donovan
Hello

> What is the error message you get when you make
> those SELECTs?
I haven't message, it is blank, I don't understand
why.

Best Regards.


--- Markus Schaber <[hidden email]> a écrit :

> Hi, Levert,
>
> (Please keep this discussions on the list.)
>
> Levert Donovan wrote:
>
> > I launch psql name_database, but I have no result
> for
> > the requests SELECT postgis_full_version()
> > SELECT postgis_version()
>
> What is the error message you get when you make
> those SELECTs?
>
> Or do you simply get no output at all?
>
> > The postgresql is : 7.4.7 version
>
> This version is supported by PostGIS, as currently
> are all versions from
> 7.2.x up to 8.0.x, so I suspect that your PostGIS
> installation is either
> outdated or broken.
>
> Markus
>



       

       
               
___________________________________________________________________________
Appel audio GRATUIT partout dans le monde avec le nouveau Yahoo! Messenger
Téléchargez cette version sur http://fr.messenger.yahoo.com
_______________________________________________
postgis-users mailing list
[hidden email]
http://postgis.refractions.net/mailman/listinfo/postgis-users
Reply | Threaded
Open this post in threaded view
|

Re: Postgis Problem

Markus Schaber-7
Hi, Levert,

Levert Donovan wrote:

>>What is the error message you get when you make
>>those SELECTs?
>
> I haven't message, it is blank, I don't understand
> why.

Hmm, you use a standard psql?

What does "SELECT version()" spit out? (This should give the PostgreSQL
version.)

Can you copy-paste us your psql session (with passwords and usernames
XXed out)?

curious,
Schabi
_______________________________________________
postgis-users mailing list
[hidden email]
http://postgis.refractions.net/mailman/listinfo/postgis-users